
!SSRepository class methodsFor: '*squeaksource-gemstone-statistics' stamp: 'dkh 05/24/2011 09:46'!
updateStatistics
	"self updateStatistics"
	self current statistics calculate! !

!WAGemStoneMaintenanceTask class methodsFor: '*SqueakSource-GemStone-Statistics' stamp: 'dkh 05/25/2011 09:29'!
maintenanceTaskSSCache
	"self buildTaskList"
	"self performTasks: 60"
	
	"update stats once every 90 minutes"
	
	^self 
		name: 'SqueakSource cache'
		frequency: 60
		valuable: [:task | |  |
  			GsFile gciLogServer: 'Updating SS cache...', DateAndTime now printString.
			System transactionMode ~~ #autoBegin ifTrue: [ System beginTransaction ].
			SSRepository updateCache.
  			(ObjectLogEntry trace: 'Updated SS cache' ) addToLog.
  			System commitTransaction ]
		reset: [:task | task state: 0 ]! !

!WAGemStoneMaintenanceTask class methodsFor: '*SqueakSource-GemStone-Statistics' stamp: 'DaleHenrichs 07/06/2010 18:28'!
maintenanceTaskSSStats
	"self buildTaskList"
	"self performTasks: 60"
	
	"update stats once an hour"
	
	^self 
		name: 'SqueakSource stats'
		frequency: 60
		valuable: [:task | |  |
  			GsFile gciLogServer: 'Updating stats...', DateAndTime now printString.
			System transactionMode ~~ #autoBegin ifTrue: [ System beginTransaction ].
			SSRepository updateStatistics.
  			(ObjectLogEntry trace: 'Updated Stats' ) addToLog.
  			System commitTransaction ]
		reset: [:task | task state: 0 ]! !
